---
title: stats
---

# `stats`

{== Evaluate selected statistics of ARWM chain ==}


## Syntax 

    S = stats(pos, theta, logPost, ...)
    S = stats(pos, fileName, [], ...)


## Input arguments 


* `pos` [ poster ]
> 
> Posterior simulator object that has generated the
> `theta` chain.
> 

* `theta` [ numeric ]
> 
> MCMC chain generated by the
> [`poster/arwm`](poster/arwm) function.
> 

* `logPost` [ numeric ]
> 
> Vector of log posterior densities generated by
> the `arwm` function; `logPost` is not necessary if you do not request
> `mdd`, the marginal data density.
> 

* `fileName` [ char ]
> 
> File name under which the simulated chain was saved when
> [`poster/arwm`](poster/arwm) was run with options `saveEvery=`' and
> `saveAs=`.
> 

## Output arguments 


* `S` [ struct ]
> 
> Struct with the statistics requested by the user.
> 

## Options 


* `MddGrid=0.1:0.1:0.9` [ numeric ]
> 
> Points between 0 and 1 over which the marginal data density estimates
> will be averaged, see Geweke (1999).
> 

* `Progress=false` [ `true` | `false` ]
> 
> Display progress bar in the command window.
> 


## Options to Include/Exclude Output Statistics 


* `Bounds=` [ `true` | `false` ]
> 
> Return the lower and upper parameter bounds set up by the user.
> 

* `Chain=` [ `true` | `false` ]
> 
> Return the entire simulated chains of parameter values.
> 

* `Cov=` [ `true` | `false` ]
> 
> Return the sample covariance matrix.
> 

* '`Hist=`' [ numeric | empty ]
> 
> Return histogram bins and counts with the specified number of
> bins.
> 

* `Hpdi=` [ `false` | numeric ]
> 
> Return the highest probability density intervals with the
> specified percent coverage (e.g. 90% is entered as `90`, not `0.90`).
> 

* `KsDensity=` [ `true` | `false` | numeric ]
> 
> Return the x- and y-axis points for kernel-smoothed posterior
> density; use a numeric value to control the number of points over which
> the density is computed.
> 

 `Mdd=true` [ `true` | `false` ]
> 
> Return minus the log marginal data density.
> 

* `Mean=true` [ `true` | `false` ]
> 
> Return the sample averages.
> 

 `Median=false` [ `true` | `false` ]
> 
> Return the sample medians.
> 

 `Mode=false` [ `true` | `false` ]
> 
> Return the sample modes based on histograms.
> 

* `Prctile=[]` [ numeric | empty ]
> 
> Return the specified percentiles.
> 

* `Std=true` [ `true` | `false` ]
> 
> Return the sample std deviations.
> 


## Description 


## Example 


